Subject: Re: [PATCH] Make GIT-VERSION-GEN tolerate missing git describe command

From: John Ellson <[email-masked]>
Date: Fri, 30 Dec 2005 14:31:56 -0500

John Ellson wrote:
> I think it is probably a bug that "git non_existent_command"
> returns its error message to stdout without an error, where
> "git-non_existent_command" behaves differently and does return an
> error.

BTW.  Its the old shell-script version of "git" that fails to return an error on 
non_existent_commands.    The newer C version of "git" correctly returns an 
error code.

The reason that this is a sufficiently serious problem to require a fix is that 
the broken version of "git" is in the git-core-0.99.9a-2.fc5.i386.rpm that is 
currently in Fedora Core Extras development.

John